| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
MinimalTypeObject Class Reference
eProsima Fast DDS API Reference » DDS Public API » DDS TypeObject API

This class represents the union MinimalTypeObject defined by the user in the IDL file. More...

`#include <dds_xtypes_typeobject.hpp>`

## Public Member Functions

eProsima_user_DllExport | MinimalTypeObject ()
| Default constructor.
eProsima_user_DllExport | ~MinimalTypeObject ()
| Default destructor.
eProsima_user_DllExport | MinimalTypeObject (const MinimalTypeObject &x)
| Copy constructor.
eProsima_user_DllExport | MinimalTypeObject (MinimalTypeObject &&x) noexcept
| Move constructor.
eProsima_user_DllExport MinimalTypeObject & | operator= (const MinimalTypeObject &x)
| Copy assignment.
eProsima_user_DllExport MinimalTypeObject & | operator= (MinimalTypeObject &&x) noexcept
| Move assignment.
eProsima_user_DllExport bool | operator== (const MinimalTypeObject &x) const
| Comparison operator.
eProsima_user_DllExport bool | operator!= (const MinimalTypeObject &x) const
| Comparison operator.
eProsima_user_DllExport void | _d (uint8_t __d)
| This function sets the discriminator value.
eProsima_user_DllExport uint8_t | _d () const
| This function returns the value of the discriminator.
eProsima_user_DllExport void | alias_type (const MinimalAliasType &_alias_type)
| This function copies the value in member alias_type.
eProsima_user_DllExport void | alias_type (MinimalAliasType &&_alias_type)
| This function moves the value in member alias_type.
eProsima_user_DllExport const MinimalAliasType & | alias_type () const
| This function returns a constant reference to member alias_type.
eProsima_user_DllExport MinimalAliasType & | alias_type ()
| This function returns a reference to member alias_type.
eProsima_user_DllExport void | annotation_type (const MinimalAnnotationType &_annotation_type)
| This function copies the value in member annotation_type.
eProsima_user_DllExport void | annotation_type (MinimalAnnotationType &&_annotation_type)
| This function moves the value in member annotation_type.
eProsima_user_DllExport const MinimalAnnotationType & | annotation_type () const
| This function returns a constant reference to member annotation_type.
eProsima_user_DllExport MinimalAnnotationType & | annotation_type ()
| This function returns a reference to member annotation_type.
eProsima_user_DllExport void | struct_type (const MinimalStructType &_struct_type)
| This function copies the value in member struct_type.
eProsima_user_DllExport void | struct_type (MinimalStructType &&_struct_type)
| This function moves the value in member struct_type.
eProsima_user_DllExport const MinimalStructType & | struct_type () const
| This function returns a constant reference to member struct_type.
eProsima_user_DllExport MinimalStructType & | struct_type ()
| This function returns a reference to member struct_type.
eProsima_user_DllExport void | union_type (const MinimalUnionType &_union_type)
| This function copies the value in member union_type.
eProsima_user_DllExport void | union_type (MinimalUnionType &&_union_type)
| This function moves the value in member union_type.
eProsima_user_DllExport const MinimalUnionType & | union_type () const
| This function returns a constant reference to member union_type.
eProsima_user_DllExport MinimalUnionType & | union_type ()
| This function returns a reference to member union_type.
eProsima_user_DllExport void | bitset_type (const MinimalBitsetType &_bitset_type)
| This function copies the value in member bitset_type.
eProsima_user_DllExport void | bitset_type (MinimalBitsetType &&_bitset_type)
| This function moves the value in member bitset_type.
eProsima_user_DllExport const MinimalBitsetType & | bitset_type () const
| This function returns a constant reference to member bitset_type.
eProsima_user_DllExport MinimalBitsetType & | bitset_type ()
| This function returns a reference to member bitset_type.
eProsima_user_DllExport void | sequence_type (const MinimalSequenceType &_sequence_type)
| This function copies the value in member sequence_type.
eProsima_user_DllExport void | sequence_type (MinimalSequenceType &&_sequence_type)
| This function moves the value in member sequence_type.
eProsima_user_DllExport const MinimalSequenceType & | sequence_type () const
| This function returns a constant reference to member sequence_type.
eProsima_user_DllExport MinimalSequenceType & | sequence_type ()
| This function returns a reference to member sequence_type.
eProsima_user_DllExport void | array_type (const MinimalArrayType &_array_type)
| This function copies the value in member array_type.
eProsima_user_DllExport void | array_type (MinimalArrayType &&_array_type)
| This function moves the value in member array_type.
eProsima_user_DllExport const MinimalArrayType & | array_type () const
| This function returns a constant reference to member array_type.
eProsima_user_DllExport MinimalArrayType & | array_type ()
| This function returns a reference to member array_type.
eProsima_user_DllExport void | map_type (const MinimalMapType &_map_type)
| This function copies the value in member map_type.
eProsima_user_DllExport void | map_type (MinimalMapType &&_map_type)
| This function moves the value in member map_type.
eProsima_user_DllExport const MinimalMapType & | map_type () const
| This function returns a constant reference to member map_type.
eProsima_user_DllExport MinimalMapType & | map_type ()
| This function returns a reference to member map_type.
eProsima_user_DllExport void | enumerated_type (const MinimalEnumeratedType &_enumerated_type)
| This function copies the value in member enumerated_type.
eProsima_user_DllExport void | enumerated_type (MinimalEnumeratedType &&_enumerated_type)
| This function moves the value in member enumerated_type.
eProsima_user_DllExport const MinimalEnumeratedType & | enumerated_type () const
| This function returns a constant reference to member enumerated_type.
eProsima_user_DllExport MinimalEnumeratedType & | enumerated_type ()
| This function returns a reference to member enumerated_type.
eProsima_user_DllExport void | bitmask_type (const MinimalBitmaskType &_bitmask_type)
| This function copies the value in member bitmask_type.
eProsima_user_DllExport void | bitmask_type (MinimalBitmaskType &&_bitmask_type)
| This function moves the value in member bitmask_type.
eProsima_user_DllExport const MinimalBitmaskType & | bitmask_type () const
| This function returns a constant reference to member bitmask_type.
eProsima_user_DllExport MinimalBitmaskType & | bitmask_type ()
| This function returns a reference to member bitmask_type.
eProsima_user_DllExport void | extended_type (const MinimalExtendedType &_extended_type)
| This function copies the value in member extended_type.
eProsima_user_DllExport void | extended_type (MinimalExtendedType &&_extended_type)
| This function moves the value in member extended_type.
eProsima_user_DllExport const MinimalExtendedType & | extended_type () const
| This function returns a constant reference to member extended_type.
eProsima_user_DllExport MinimalExtendedType & | extended_type ()
| This function returns a reference to member extended_type.

## Detailed Description

This class represents the union MinimalTypeObject defined by the user in the IDL file.

## Constructor & Destructor Documentation

## ◆ MinimalTypeObject() [1/3]

eProsima_user_DllExport MinimalTypeObject | ( |  | ) |

inline

Default constructor.

## ◆ ~MinimalTypeObject()

eProsima_user_DllExport ~MinimalTypeObject | ( |  | ) |

inline

Default destructor.

## ◆ MinimalTypeObject() [2/3]

eProsima_user_DllExport MinimalTypeObject | ( | const MinimalTypeObject & | x | ) |

inline

Copy constructor.

Parameters

  x | Reference to the object MinimalTypeObject that will be copied.

## ◆ MinimalTypeObject() [3/3]

eProsima_user_DllExport MinimalTypeObject | ( | MinimalTypeObject && | x | ) |

inline noexcept

Move constructor.

Parameters

  x | Reference to the object MinimalTypeObject that will be copied.

## Member Function Documentation

## ◆ _d() [1/2]

eProsima_user_DllExport uint8_t _d | ( |  | ) | const

inline

This function returns the value of the discriminator.

Returns
  Value of the discriminator

## ◆ _d() [2/2]

eProsima_user_DllExport void _d | ( | uint8_t | __d | ) |

inline

This function sets the discriminator value.

Parameters

  __d | New value for the discriminator.

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the new value doesn't correspond to the selected union member.

## ◆ alias_type() [1/4]

eProsima_user_DllExport MinimalAliasType & alias_type | ( |  | ) |

inline

This function returns a reference to member alias_type.

Returns
  Reference to member alias_type

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ alias_type() [2/4]

eProsima_user_DllExport const MinimalAliasType & alias_type | ( |  | ) | const

inline

This function returns a constant reference to member alias_type.

Returns
  Constant reference to member alias_type

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ alias_type() [3/4]

eProsima_user_DllExport void alias_type | ( | const MinimalAliasType & | _alias_type | ) |

inline

This function copies the value in member alias_type.

Parameters

  _alias_type | New value to be copied in member alias_type

## ◆ alias_type() [4/4]

eProsima_user_DllExport void alias_type | ( | MinimalAliasType && | _alias_type | ) |

inline

This function moves the value in member alias_type.

Parameters

  _alias_type | New value to be moved in member alias_type

## ◆ annotation_type() [1/4]

eProsima_user_DllExport MinimalAnnotationType & annotation_type | ( |  | ) |

inline

This function returns a reference to member annotation_type.

Returns
  Reference to member annotation_type

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ annotation_type() [2/4]

eProsima_user_DllExport const MinimalAnnotationType & annotation_type | ( |  | ) | const

inline

This function returns a constant reference to member annotation_type.

Returns
  Constant reference to member annotation_type

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ annotation_type() [3/4]

eProsima_user_DllExport void annotation_type | ( | const MinimalAnnotationType & | _annotation_type | ) |

inline

This function copies the value in member annotation_type.

Parameters

  _annotation_type | New value to be copied in member annotation_type

## ◆ annotation_type() [4/4]

eProsima_user_DllExport void annotation_type | ( | MinimalAnnotationType && | _annotation_type | ) |

inline

This function moves the value in member annotation_type.

Parameters

  _annotation_type | New value to be moved in member annotation_type

## ◆ array_type() [1/4]

eProsima_user_DllExport MinimalArrayType & array_type | ( |  | ) |

inline

This function returns a reference to member array_type.

Returns
  Reference to member array_type

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ array_type() [2/4]

eProsima_user_DllExport const MinimalArrayType & array_type | ( |  | ) | const

inline

This function returns a constant reference to member array_type.

Returns
  Constant reference to member array_type

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ array_type() [3/4]

eProsima_user_DllExport void array_type | ( | const MinimalArrayType & | _array_type | ) |

inline

This function copies the value in member array_type.

Parameters

  _array_type | New value to be copied in member array_type

## ◆ array_type() [4/4]

eProsima_user_DllExport void array_type | ( | MinimalArrayType && | _array_type | ) |

inline

This function moves the value in member array_type.

Parameters

  _array_type | New value to be moved in member array_type

## ◆ bitmask_type() [1/4]

eProsima_user_DllExport MinimalBitmaskType & bitmask_type | ( |  | ) |

inline

This function returns a reference to member bitmask_type.

Returns
  Reference to member bitmask_type

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ bitmask_type() [2/4]

eProsima_user_DllExport const MinimalBitmaskType & bitmask_type | ( |  | ) | const

inline

This function returns a constant reference to member bitmask_type.

Returns
  Constant reference to member bitmask_type

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ bitmask_type() [3/4]

eProsima_user_DllExport void bitmask_type | ( | const MinimalBitmaskType & | _bitmask_type | ) |

inline

This function copies the value in member bitmask_type.

Parameters

  _bitmask_type | New value to be copied in member bitmask_type

## ◆ bitmask_type() [4/4]

eProsima_user_DllExport void bitmask_type | ( | MinimalBitmaskType && | _bitmask_type | ) |

inline

This function moves the value in member bitmask_type.

Parameters

  _bitmask_type | New value to be moved in member bitmask_type

## ◆ bitset_type() [1/4]

eProsima_user_DllExport MinimalBitsetType & bitset_type | ( |  | ) |

inline

This function returns a reference to member bitset_type.

Returns
  Reference to member bitset_type

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ bitset_type() [2/4]

eProsima_user_DllExport const MinimalBitsetType & bitset_type | ( |  | ) | const

inline

This function returns a constant reference to member bitset_type.

Returns
  Constant reference to member bitset_type

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ bitset_type() [3/4]

eProsima_user_DllExport void bitset_type | ( | const MinimalBitsetType & | _bitset_type | ) |

inline

This function copies the value in member bitset_type.

Parameters

  _bitset_type | New value to be copied in member bitset_type

## ◆ bitset_type() [4/4]

eProsima_user_DllExport void bitset_type | ( | MinimalBitsetType && | _bitset_type | ) |

inline

This function moves the value in member bitset_type.

Parameters

  _bitset_type | New value to be moved in member bitset_type

## ◆ enumerated_type() [1/4]

eProsima_user_DllExport MinimalEnumeratedType & enumerated_type | ( |  | ) |

inline

This function returns a reference to member enumerated_type.

Returns
  Reference to member enumerated_type

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ enumerated_type() [2/4]

eProsima_user_DllExport const MinimalEnumeratedType & enumerated_type | ( |  | ) | const

inline

This function returns a constant reference to member enumerated_type.

Returns
  Constant reference to member enumerated_type

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ enumerated_type() [3/4]

eProsima_user_DllExport void enumerated_type | ( | const MinimalEnumeratedType & | _enumerated_type | ) |

inline

This function copies the value in member enumerated_type.

Parameters

  _enumerated_type | New value to be copied in member enumerated_type

## ◆ enumerated_type() [4/4]

eProsima_user_DllExport void enumerated_type | ( | MinimalEnumeratedType && | _enumerated_type | ) |

inline

This function moves the value in member enumerated_type.

Parameters

  _enumerated_type | New value to be moved in member enumerated_type

## ◆ extended_type() [1/4]

eProsima_user_DllExport MinimalExtendedType & extended_type | ( |  | ) |

inline

This function returns a reference to member extended_type.

Returns
  Reference to member extended_type

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ extended_type() [2/4]

eProsima_user_DllExport const MinimalExtendedType & extended_type | ( |  | ) | const

inline

This function returns a constant reference to member extended_type.

Returns
  Constant reference to member extended_type

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ extended_type() [3/4]

eProsima_user_DllExport void extended_type | ( | const MinimalExtendedType & | _extended_type | ) |

inline

This function copies the value in member extended_type.

Parameters

  _extended_type | New value to be copied in member extended_type

## ◆ extended_type() [4/4]

eProsima_user_DllExport void extended_type | ( | MinimalExtendedType && | _extended_type | ) |

inline

This function moves the value in member extended_type.

Parameters

  _extended_type | New value to be moved in member extended_type

## ◆ map_type() [1/4]

eProsima_user_DllExport MinimalMapType & map_type | ( |  | ) |

inline

This function returns a reference to member map_type.

Returns
  Reference to member map_type

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ map_type() [2/4]

eProsima_user_DllExport const MinimalMapType & map_type | ( |  | ) | const

inline

This function returns a constant reference to member map_type.

Returns
  Constant reference to member map_type

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ map_type() [3/4]

eProsima_user_DllExport void map_type | ( | const MinimalMapType & | _map_type | ) |

inline

This function copies the value in member map_type.

Parameters

  _map_type | New value to be copied in member map_type

## ◆ map_type() [4/4]

eProsima_user_DllExport void map_type | ( | MinimalMapType && | _map_type | ) |

inline

This function moves the value in member map_type.

Parameters

  _map_type | New value to be moved in member map_type

## ◆ operator!=()

eProsima_user_DllExport bool operator!= | ( | const MinimalTypeObject & | x | ) | const

inline

Comparison operator.

Parameters

  x | MinimalTypeObject object to compare.

## ◆ operator=() [1/2]

eProsima_user_DllExport MinimalTypeObject & operator= | ( | const MinimalTypeObject & | x | ) |

inline

Copy assignment.

Parameters

  x | Reference to the object MinimalTypeObject that will be copied.

## ◆ operator=() [2/2]

eProsima_user_DllExport MinimalTypeObject & operator= | ( | MinimalTypeObject && | x | ) |

inline noexcept

Move assignment.

Parameters

  x | Reference to the object MinimalTypeObject that will be copied.

## ◆ operator==()

eProsima_user_DllExport bool operator== | ( | const MinimalTypeObject & | x | ) | const

inline

Comparison operator.

Parameters

  x | MinimalTypeObject object to compare.

## ◆ sequence_type() [1/4]

eProsima_user_DllExport MinimalSequenceType & sequence_type | ( |  | ) |

inline

This function returns a reference to member sequence_type.

Returns
  Reference to member sequence_type

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ sequence_type() [2/4]

eProsima_user_DllExport const MinimalSequenceType & sequence_type | ( |  | ) | const

inline

This function returns a constant reference to member sequence_type.

Returns
  Constant reference to member sequence_type

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ sequence_type() [3/4]

eProsima_user_DllExport void sequence_type | ( | const MinimalSequenceType & | _sequence_type | ) |

inline

This function copies the value in member sequence_type.

Parameters

  _sequence_type | New value to be copied in member sequence_type

## ◆ sequence_type() [4/4]

eProsima_user_DllExport void sequence_type | ( | MinimalSequenceType && | _sequence_type | ) |

inline

This function moves the value in member sequence_type.

Parameters

  _sequence_type | New value to be moved in member sequence_type

## ◆ struct_type() [1/4]

eProsima_user_DllExport MinimalStructType & struct_type | ( |  | ) |

inline

This function returns a reference to member struct_type.

Returns
  Reference to member struct_type

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ struct_type() [2/4]

eProsima_user_DllExport const MinimalStructType & struct_type | ( |  | ) | const

inline

This function returns a constant reference to member struct_type.

Returns
  Constant reference to member struct_type

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ struct_type() [3/4]

eProsima_user_DllExport void struct_type | ( | const MinimalStructType & | _struct_type | ) |

inline

This function copies the value in member struct_type.

Parameters

  _struct_type | New value to be copied in member struct_type

## ◆ struct_type() [4/4]

eProsima_user_DllExport void struct_type | ( | MinimalStructType && | _struct_type | ) |

inline

This function moves the value in member struct_type.

Parameters

  _struct_type | New value to be moved in member struct_type

## ◆ union_type() [1/4]

eProsima_user_DllExport MinimalUnionType & union_type | ( |  | ) |

inline

This function returns a reference to member union_type.

Returns
  Reference to member union_type

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ union_type() [2/4]

eProsima_user_DllExport const MinimalUnionType & union_type | ( |  | ) | const

inline

This function returns a constant reference to member union_type.

Returns
  Constant reference to member union_type

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ union_type() [3/4]

eProsima_user_DllExport void union_type | ( | const MinimalUnionType & | _union_type | ) |

inline

This function copies the value in member union_type.

Parameters

  _union_type | New value to be copied in member union_type

## ◆ union_type() [4/4]

eProsima_user_DllExport void union_type | ( | MinimalUnionType && | _union_type | ) |

inline

This function moves the value in member union_type.

Parameters

  _union_type | New value to be moved in member union_type

## Member Data Documentation

## ◆ m_alias_type

MinimalAliasType m_alias_type

## ◆ m_annotation_type

MinimalAnnotationType m_annotation_type

## ◆ m_array_type

MinimalArrayType m_array_type

## ◆ m_bitmask_type

MinimalBitmaskType m_bitmask_type

## ◆ m_bitset_type

MinimalBitsetType m_bitset_type

## ◆ m_enumerated_type

MinimalEnumeratedType m_enumerated_type

## ◆ m_extended_type

MinimalExtendedType m_extended_type

## ◆ m_map_type

MinimalMapType m_map_type

## ◆ m_sequence_type

MinimalSequenceType m_sequence_type

## ◆ m_struct_type

MinimalStructType m_struct_type

## ◆ m_union_type

MinimalUnionType m_union_type

The documentation for this class was generated from the following file:

- include/fastdds/dds/xtypes/type_representation/detail/dds_xtypes_typeobject.hpp